%define base_name	jaxp
%define name		old%{base_name}
%define version		1.0.1
%define cvs_version	1_0_1
%define release		2jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java API for XML Processing
License:	Sun Binary Code License
Url:		http://java.sun.com/xml
Group:		Text Processing/Markup/XML
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{base_name}-%{cvs_version}.zip
NoSource:	0
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The JAVA API for XML Processing (JAXP) Optional Package provides basic
functionality for reading, manipulating, and generating XML documents
through pure Java APIs. It is a thin and lightweight API that provides a
standard way to seamlessly integrate any XML-compliant parser with a
Java application.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Text Processing/Markup/XML

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{base_name}%{version}
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 %{base_name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
install -m 644 parser.jar $RPM_BUILD_ROOT%{javadir}/%{name}-parser-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr examples $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc install.html relnotes.html readme.html LICENSE
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-2jpp
- vendor, distribution, group tags

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-1jpp 
- first JPackage release
